package com.unis.base.server.service.impl;


import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.Page;
import com.unis.base.common.vo.DqyxxckVO;
import com.unis.base.server.domain.DqyxxckDomain;
import com.unis.base.server.service.DqyxxckService;

/**
 * @author lidiaoquan
 * @version 1.0
 * @Title: DqyxxckServiceImpl
 * @Description:储备粮企业信息查看
 * @date 2019年12月7日 下午5:01:48
 */
@Service
public class DqyxxckServiceImpl implements DqyxxckService{

	@Autowired
	DqyxxckDomain dqyxxckDomain;
	/**
	 * 根据企业名称获取-仓房-相关企业列表
	 * @param qymc
	 * @return
	 */
	public Page<DqyxxckVO> getCfQyxxList(DqyxxckVO vo, Integer pageNum, Integer pageSize) {
		return dqyxxckDomain.getCfQyxxList(vo,pageNum,pageSize);
	}

	/**
	 * 根据企业名称获取-设备-相关企业列表
	 * @param qymc
	 * @return
	 */
	public Page<DqyxxckVO> getSbQyxxList(DqyxxckVO vo, Integer pageNum, Integer pageSize) {
		return dqyxxckDomain.getSbQyxxList(vo,pageNum,pageSize);
	}

	/**
	 * 根据企业名称获取-药剂-相关企业列表
	 * @param qymc
	 * @return
	 */
	public Page<DqyxxckVO> getYpQyxxList(DqyxxckVO vo, Integer pageNum, Integer pageSize) {
		return dqyxxckDomain.getYpQyxxList(vo,pageNum,pageSize);
	}

	/**
	 * 根据企业名称获取-人员-相关企业列表
	 * @param qymc
	 * @return
	 */
	public Page<DqyxxckVO> getRyQyxxList(DqyxxckVO vo, Integer pageNum, Integer pageSize) {
		return dqyxxckDomain.getRyQyxxList(vo,pageNum,pageSize);
	}

	/**
	 * 根据企业名称获取-油罐-相关企业列表
	 * @param qymc
	 * @return
	 */
	public Page<DqyxxckVO> getYgQyxxList(DqyxxckVO vo, Integer pageNum, Integer pageSize) {
		return dqyxxckDomain.getYgQyxxList(vo,pageNum,pageSize);
	}

    @Override
    public Integer getRyTotal(DqyxxckVO vo) {
        return dqyxxckDomain.getRyTotal(vo);
    }

    @Override
    public JSONObject getCfQyxxTotal(DqyxxckVO vo) {
        return dqyxxckDomain.getCfQyxxTotal(vo);
    }
}
